commit e5dc9209cde969a66ac528c2d5fc5a244c5f5999
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Nov 4 09:58:43 2025 +0000

    compiler quietening

diff --git a/src/src/auths/cram_md5.c b/src/src/auths/cram_md5.c
index 2f6a56626..44b05465c 100644
--- a/src/src/auths/cram_md5.c
+++ b/src/src/auths/cram_md5.c
@@ -272,7 +272,6 @@ auth_cram_md5_options_block * ob = ablock->drinst.options_block;
 uschar *secret = expand_string(ob->client_secret);
 uschar *name = expand_string(ob->client_name);
 uschar *challenge, *p;
-int i;
 uschar digest[16];
 
 /* If expansion of either the secret or the user name failed, return CANCELLED
diff --git a/src/src/hintsdb/hints_sqlite.h b/src/src/hintsdb/hints_sqlite.h
index 9e4f65a51..01906f839 100644
--- a/src/src/hintsdb/hints_sqlite.h
+++ b/src/src/hintsdb/hints_sqlite.h
@@ -127,7 +127,6 @@ exim_dbget(EXIM_DB * dbp, EXIM_DATUM * key, EXIM_DATUM * res)
 {
 # define FMT "SELECT dat FROM tbl WHERE ky = '%s';"
 uschar * encoded_key, * qry;
-int i;
 BOOL ret;
 
 # ifdef COMPILE_UTILITY
@@ -140,12 +139,14 @@ encoded_key = xtextencode(key->data, key->len);
 				  (int)key->len, encoded_key); */
 
 # ifdef COMPILE_UTILITY
-i = snprintf(NULL, 0, FMT, encoded_key) + 1;
-if (!(qry = malloc(i)))
-  return FALSE;
-snprintf(CS qry, i, FMT, encoded_key);
-ret = exim_dbget__(dbp, qry, res);
-free(qry);
+  {
+  int i = snprintf(NULL, 0, FMT, encoded_key) + 1;
+  if (!(qry = malloc(i)))
+    return FALSE;
+  snprintf(CS qry, i, FMT, encoded_key);
+  ret = exim_dbget__(dbp, qry, res);
+  free(qry);
+  }
 free(encoded_key);
 # else
 qry = string_sprintf(FMT, encoded_key);
@@ -172,7 +173,7 @@ int hlen = data->len * 2, off = 0, res;
 # define FMT "INSERT OR %s INTO tbl (ky,dat) VALUES ('%s', X'%.*s');"
 uschar * encoded_key, * qry;
 # ifdef COMPILE_UTILITY
-uschar * hex = malloc(hlen+1);
+uschar * hex = malloc(hlen+1), dummy[1];
 if (!hex) return EXIM_DBPUTB_DUP;	/* best we can do */
 # else
 uschar * hex = store_get(hlen+1, data->data);
@@ -186,7 +187,7 @@ for (const uschar * s = data->data, * t = s + data->len; s < t; s++, off += 2)
 # ifdef COMPILE_UTILITY
 if (!(encoded_key = xtextencode(key->data, key->len)))
   return EXIM_DBPUTB_DUP;
-res = snprintf(CS hex, 0, FMT, alt, encoded_key, hlen, hex) +1;
+res = snprintf(CS dummy, 0, FMT, alt, encoded_key, hlen, hex) +1;
 if (!(qry = malloc(res))) return EXIM_DBPUTB_DUP;
 snprintf(CS qry, res, FMT, alt, encoded_key, hlen, hex);
 DEBUG(D_hints_lookup) debug_printf_indent("exim_s_dbp(%s)\n", qry);
diff --git a/src/src/tls-gnu.c b/src/src/tls-gnu.c
index f63d2ee12..b78c33fcb 100644
--- a/src/src/tls-gnu.c
+++ b/src/src/tls-gnu.c
@@ -393,7 +393,7 @@ Returns:    DEFER/FAIL
 */
 
 static int
-tls_error(const uschar *prefix, const uschar *msg, const host_item *host,
+tls_error(const uschar * prefix, const uschar * msg, const host_item * host,
   uschar ** errstr)
 {
 if (errstr)
@@ -404,7 +404,7 @@ return host ? FAIL : DEFER;
 
 /* Returns:    DEFER/FAIL */
 static int
-tls_error_gnu(exim_gnutls_state_st * state, const uschar *prefix, int err,
+tls_error_gnu(exim_gnutls_state_st * state, const uschar * prefix, int err,
   uschar ** errstr)
 {
 return tls_error(prefix,
@@ -461,7 +461,6 @@ return FALSE;
 static int
 tls_g_init(uschar ** errstr)
 {
-int rc;
 DEBUG(D_tls) debug_printf("GnuTLS global init required\n");
 
 #if defined(HAVE_GNUTLS_PKCS11) && !defined(GNUTLS_AUTO_PKCS11_MANUAL)
@@ -472,13 +471,19 @@ environment variables are used and so breaks for users calling mailq.
 To prevent this, we init PKCS11 first, which is the documented approach. */
 
 if (!gnutls_allow_auto_pkcs11)
+  {
+  int rc;
   if ((rc = gnutls_pkcs11_init(GNUTLS_PKCS11_FLAG_MANUAL, NULL)))
     return tls_error_gnu(NULL, US"gnutls_pkcs11_init", rc, errstr);
+  }
 #endif
 
 #ifndef GNUTLS_AUTO_GLOBAL_INIT
-if ((rc = gnutls_global_init()))
-  return tls_error_gnu(NULL, US"gnutls_global_init", rc, errstr);
+  {
+  int rc;
+  if ((rc = gnutls_global_init()))
+    return tls_error_gnu(NULL, US"gnutls_global_init", rc, errstr);
+  }
 #endif
 
 #if EXIM_GNUTLS_LIBRARY_LOG_LEVEL >= 0
@@ -833,7 +838,6 @@ const uschar * filename = NULL;
 size_t sz;
 uschar * exp_tls_dhparam;
 BOOL use_file_in_spool = FALSE;
-const host_item * host = NULL; /* dummy for macros */
 
 DEBUG(D_tls) debug_printf("Initialising GnuTLS server params\n");
 
@@ -1380,12 +1384,14 @@ creds_load_server_certs(exim_gnutls_state_st * state, const uschar * cert,
   const uschar * pkey, const uschar * ocsp, uschar ** errstr)
 {
 const uschar * clist = cert, * klist = pkey, * kfile, * cfile;
-int csep = 0, ksep = 0, cnt = 0, rc;
+int csep = 0, ksep = 0, rc;
 #ifndef DISABLE_OCSP
 uschar * ofile;
 const uschar * olist;
 # ifdef SUPPORT_GNUTLS_EXT_RAW_PARSE
 gnutls_x509_crt_fmt_t ocsp_fmt = GNUTLS_X509_FMT_DER;
+# else
+int ocsp_file_cnt = 0;
 # endif
 
 if (!expand_check(ocsp, US"tls_ocsp_file", &ofile, errstr))
@@ -1460,7 +1466,7 @@ while (cfile = string_nextinlist(&clist, &csep, NULL, 0))
 	else
 #  endif
 	  {
-	  if (cnt++ > 0)
+	  if (ocsp_file_cnt++ > 0)
 	    {
 	    DEBUG(D_tls)
 	      debug_printf("oops; multiple OCSP files not supported\n");

